Subject: Re: bug#23559: 25.0.93; Wrong type argument on C-u C-x = with Czech input method

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 May 2016 23:00:34 +0300

> From: Milan Zamazal <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 19 May 2016 20:50:33 +0200
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
>     EZ> Do you (or someone else) understand why Czech and Slovak input
>     EZ> methods include kp-* keys in the input method definitions?
> 
> The reason is that those input methods replace digit keys at the main
> part of the keyboard with Czech and Slovak characters.  But the keys at
> the numeric keypad should of course still produce digits and not Czech
> and Slovak characters.
> 
> IIRC at the time those input methods were introduced, quail definitions
> like
> 
>   ("1" ?+)
> 
> caused both the `1' and kp-1 keys to produce `+' and adding
> 
>   ([kp-1] ?1)
> 
> was necessary to keep kp-1 producing `1' and not `+'.

I see, thanks.

> If this is no longer necessary then those bindings can be simply
> removed.

They don't seem to be necessary, so I removed them, and I'm marking
the bug done.

Thanks.